import * as $dara from '@darabonba/typescript';
import { UpdatePublishGraySwitchResponseBody } from "./UpdatePublishGraySwitchResponseBody";
export declare class UpdatePublishGraySwitchResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdatePublishGraySwitchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
